> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gloo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Paywall related endpoint

> Paywall related endpoint.

<Warning>
  **Deprecated Endpoint**: This endpoint is deprecated and no longer supported.
</Warning>


## OpenAPI

````yaml post /ai/v1/kallm/paywall/related
openapi: 3.1.0
info:
  title: AI API
  description: |-
    Optimized for high-speed inference and scalability by Gloo AI

    [Swagger UI](./docs) | [ReDoc UI](./redoc)
  version: 1.0.0
servers:
  - url: https://platform.ai.gloo.com
security:
  - bearerAuth: []
tags:
  - name: Content Controls
  - name: Data Engine
  - name: Ingestion & Enrichment
  - name: answers
  - name: chat
  - name: completions
  - name: content
  - name: core
  - name: data
  - name: get-models
  - name: ingestion
  - name: sotc
paths:
  /ai/v1/kallm/paywall/related:
    post:
      tags:
        - content
        - content
      summary: Paywall related endpoint
      description: Paywall related endpoint.
      operationId: paywall_related_endpoint_ai_v1_kallm_paywall_related_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Body_paywall_related_endpoint_ai_v1_kallm_paywall_related_post
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaywallRelatedResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      deprecated: true
components:
  schemas:
    Body_paywall_related_endpoint_ai_v1_kallm_paywall_related_post:
      properties:
        request:
          $ref: '#/components/schemas/GetRelatedArticlesRequest'
        request_body:
          $ref: '#/components/schemas/SearchFilters'
      type: object
      required:
        - request
        - request_body
      title: Body_paywall_related_endpoint_ai_v1_kallm_paywall_related_post
    PaywallRelatedResponse:
      properties:
        ai_paywall_summary:
          type: string
          title: Ai Paywall Summary
          description: Summary of the article
        ai_why_read:
          type: string
          title: Ai Why Read
          description: Why this article is worth reading
        bullet_points:
          items:
            type: string
          type: array
          title: Bullet Points
          description: Key points from the article
        related_articles:
          items:
            type: object
          type: array
          title: Related Articles
          description: Related articles
      type: object
      required:
        - ai_paywall_summary
        - ai_why_read
        - bullet_points
        - related_articles
      title: PaywallRelatedResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GetRelatedArticlesRequest:
      properties:
        producer_id:
          type: string
          title: Producer Id
          description: Producer ID of the article
      type: object
      required:
        - producer_id
      title: GetRelatedArticlesRequest
    SearchFilters:
      properties:
        collection:
          type: string
          title: Collection
        tenant:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant
      type: object
      required:
        - collection
      title: SearchFilters
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form Bearer `<token>`, where
        `<token>` is your [auth token](/studio/manage-api-credentials).

````